%define momorel 4
%define ver 4.21
%define md5sum_src0 eae883e12f3640f7c52d66e0844d0ab1
%define alphaver 4
%define prever %{alphaver}

Summary: Network exploration tool and security scanner
Name: nmap
Version: %{ver}
Release: 0.%{prever}.%{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://www.insecure.org/nmap/
%NoSource 0 http://www.insecure.org/nmap/dist/%{name}-%{ver}ALPHA%{alphaver}.tar.bz2 %{md5sum_src0}
Source1: %{name}_icons.tar.bz2
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gtk+1-devel
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: openssl-devel >= 0.9.8a
BuildPreReq: libpcap-devel >= 0.9.5

%description
Nmap is a utility for network exploration or security auditing. It
supports ping scanning (determine which hosts are up), many port
scanning techniques (determine what services the hosts are offering),
and TCP/IP fingerprinting (remote host operating system
identification). Nmap also offers flexible target and port
specification, decoy scanning, determination of TCP sequence
predictability characteristics, sunRPC scanning, reverse-identd
scanning, and more.

%package frontend
Summary: Gtk+ frontend for nmap
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description frontend
This package includes nmapfe, a Gtk+ frontend for nmap. The nmap package must
be installed before installing nmap-frontend.

%prep
%setup -q -a 1 -n %{name}-%{ver}ALPHA%{alphaver}

%patch0 -p1 -b .icon

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall nmapdatadir=%{buildroot}%{_datadir}/nmap

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{name}16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 %{name}32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m 644 %{name}48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%post frontend
rm -f %{_bindir}/xnmap
ln -s nmapfe %{_bindir}/xnmap

%postun frontend
rm -f %{_bindir}/xnmap

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGELOG COPYING* HACKING docs
%{_bindir}/nmap
%{_datadir}/nmap
%{_mandir}/man1/nmap.1*

%files frontend
%defattr(-,root,root)
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{_datadir}/applications/nmapfe.desktop
%{_datadir}/icons/*/*/*/%{name}.png
%{_mandir}/man1/xnmap.1*
%{_mandir}/man1/nmapfe.1*
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Jul 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.21-0.4.4m)
- import icons from cooker

* Thu Jun 07 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.21-0.4.3m)
- rebuild against libpcap-0.9.5 (restrict by version)

* Wed Jun  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.21-0.4.2m)
- rebuild against libpcap-0.9.5

* Sun Apr  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.21-0.4.1m)
- update to 4.21ALPHA4

* Sat Dec  9 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (4.20-1m)
- update to 4.20

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (4.11-1m)
- update to 4.11

* Sun Jun 18 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (4.10-1m)
- update to 4.10

* Thu Apr 13 2006 Kazuhiko <kazuhiko@fdiary.net>
- (4.01-1m)
- minor bugfixes

* Sat Feb 4 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (4.00-1m)
- update to 4.00

* Thu Dec 14 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (3.95-1m)
- update to 3.95

* Tue Sep 13 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.93-1m)
- minor bugfixes

* Thu Sep  8 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.90-1m)
- major feature enhancements

* Tue Feb  8 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.81-1m)
- minor feature enhancements

* Mon Feb  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.80-1m)
- minor bugfixes

* Sun Nov  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.76-1m)
- version up

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.70-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed Sep  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.70-1m)
- major feature enhancements

* Wed Jul  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.55-1m)
- minor feature enhancements

* Wed Jan 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.50-1m)

* Wed Oct 15 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.48-1m)
- major feature enhancements

* Wed Sep 24 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (3.46-1m)
- version 3.46

* Wed Sep 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.45-1m)
- major feature enhancements

* Sat Jul 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.30-2m)
- rebuild against glibc-2.3.2                               

* Fri Jul  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.30-1m)
- major feature enhancements

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.28-1m)
- major bugfixes

* Tue Apr 29 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.27-1m)
- major bugfixes

* Wed Apr 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.25-1m)
- minor feature enhancements

* Thu Mar 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.20-1m)

* Tue Mar 18 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.15-0.3.1m)
- 3.15BETA3

* Sat Mar  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.15-0.2.1m)
- 3.15BETA2

* Sat Aug  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.00-1m)

* Mon Jul 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.99-0.0002001m)
- 2.99RC2
- minor bugfixes

* Sun Jul 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.99-0.0001001m)
- 2.99RC1

* Sun Jul 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.54-0.0037001m)
- 2.54BETA37
- add 'BuildPreReq: gtk+1-devel'
- add more documents to %doc

* Tue Jul  2 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.54-0.0036Om001m)
- 2.54BETA36

* Wed May  8 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.54-0.0034002k)
- 2.54BETA34

* Mon Apr 29 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.54-0.0033002k)
- 2.54BETA33

* Wed Apr 10 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.54-0.0032002k)
- 2.54BETA32

* Wed Jan 23 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.54-0.0030002k)
- 2.54BETA30
- Kondarize

* Thu Dec 30 1999 Fyodor <fyodor@insecure.org>
- Updated description
- Eliminated source1 (nmapfe.desktop) directive and simply packaged it with Nmap
- Fixed nmap distribution URL (source0)
- Added this .rpm to base Nmap distribution

* Mon Dec 13 1999 Tim Powers <timp@redhat.com>
- based on origional spec file from
	http://www.insecure.org/nmap/index.html#download
- general cleanups, removed lots of commenrts since it made the spec hard to
	read
- changed group to Applications/System
- quiet setup
- no need to create dirs in the install section, "make
	prefix=%{buildroot}&{prefix} install" does this.
- using defined %{prefix}, %{version} etc. for easier/quicker maint.
- added docs
- gzip man pages
- strip after files have been installed into buildroot
- created separate package for the frontend so that Gtk+ isn't needed for the
	CLI nmap 
- not using -f in files section anymore, no need for it since there aren't that
	many files/dirs
- added desktop entry for gnome

* Sun Jan 10 1999 Fyodor <fyodor@dhp.com>
- Merged in spec file sent in by Ian Macdonald <ianmacd@xs4all.nl>

* Tue Dec 29 1998 Fyodor <fyodor@dhp.com>
- Made some changes, and merged in another .spec file sent in
  by Oren Tirosh <oren@hishome.net>

* Mon Dec 21 1998 Riku Meskanen <mesrik@cc.jyu.fi>
- initial build for RH 5.x
